# This file was generated by running 'miaxml2nipype.py /build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/doc/mia-2dseries2sets.xml /build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/src/mia_2dseries2sets.py'
# '/build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/src/mia_2dseries2sets.py' can be created by running 'mia-2dseries2sets --help-xml >/build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/src/mia_2dseries2sets.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dseries2sets_InputSpec(CommandLineInputSpec):
	no_copy = traits.Bool( desc="""don't copy image files to output directory""", argstr="--no-copy" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_directory = File(desc="output directory (needs to exist and be writable)", argstr="--out-directory %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 2dimage/io", argstr="%s")
#
# Output specification
#
class mia_2dseries2sets_OutputSpec(TraitedSpec):
	out_directory = File(desc="output directory (needs to exist and be writable)", exists = True )


#
# Task class specification
#
class mia_2dseries2sets(CommandLine):
	input_spec = mia_2dseries2sets_InputSpec
	output_spec = mia_2dseries2sets_OutputSpec
	_cmd = "mia-2dseries2sets"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_directory']=os.path.abspath(self.inputs.out_directory)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dseries2sets()
	print( mia_prog.cmdline)
