# This file was generated by running 'miaxml2nipype.py /build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/doc/mia-3dbrainextractT1.xml /build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/src/mia_3dbrainextractT1.py'
# '/build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/src/mia_3dbrainextractT1.py' can be created by running 'mia-3dbrainextractT1 --help-xml >/build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/src/mia_3dbrainextractT1.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dbrainextractT1_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be segmented""", argstr="--in-file %s", exists=True , mandatory = True )
	no_of_classes = traits.Int( desc="""number of classes""", argstr="--no-of-classes %d" )
	wm_class = traits.Int( desc="""index of white matter""", argstr="--wm-class %d" )
	wm_prob = traits.Float( desc="""white matter class probability for initial mask creation""", argstr="--wm-prob %f" )
	grow_threshold = traits.Int( desc="""intensity threshold for region growing""", argstr="--grow-threshold %d" )
	grow_shape = traits.String( desc="""neighbourhood mask region growing""", argstr="--grow-shape %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="brain mask", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dbrainextractT1_OutputSpec(TraitedSpec):
	out_file = File(desc="brain mask", exists = True )


#
# Task class specification
#
class mia_3dbrainextractT1(CommandLine):
	input_spec = mia_3dbrainextractT1_InputSpec
	output_spec = mia_3dbrainextractT1_OutputSpec
	_cmd = "mia-3dbrainextractT1"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dbrainextractT1()
	print( mia_prog.cmdline)
