# This file was generated by running 'miaxml2nipype.py /build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/doc/mia-3dimageselect.xml /build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/src/mia_3dimageselect.py'
# '/build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/src/mia_3dimageselect.py' can be created by running 'mia-3dimageselect --help-xml >/build/mia-qa8SGM/mia-2.2.3/obj-i686-linux-gnu/src/mia_3dimageselect.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dimageselect_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input images""", argstr="--in-file %s", exists=True , mandatory = True )
	number = traits.Int( desc="""image number to be selected""", argstr="--number %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output image", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dimageselect_OutputSpec(TraitedSpec):
	out_file = File(desc="output image", exists = True )


#
# Task class specification
#
class mia_3dimageselect(CommandLine):
	input_spec = mia_3dimageselect_InputSpec
	output_spec = mia_3dimageselect_OutputSpec
	_cmd = "mia-3dimageselect"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dimageselect()
	print( mia_prog.cmdline)
